> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Multiple Token Prices

> 最多 100 个代币的现价。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.getMultiplePrices(['So11111111111111111111111111111111111111112', '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN'], true);

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json get /price/multi
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /price/multi:
    get:
      tags:
        - Price
      summary: Get Multiple Token Prices
      description: 最多 100 个代币的现价。
      parameters:
        - name: tokens
          in: query
          required: true
          description: 英文逗号分隔的代币地址列表
          schema:
            type: string
        - name: priceChanges
          in: query
          description: 返回截至约 24 小时内的涨跌幅。
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/PriceResponse'
              example:
                HEZ6KcNNUKaWvUCBEe4BtfoeDHEHPkCHY9JaDNqrpump:
                  price: 0.000021934650668759846
                  priceQuote: 1.208617203224043e-7
                  liquidity: 29081.321914523014
                  marketCap: 21330.314314819956
                  lastUpdated: 1760274132867
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getMultiplePrices(['So11111111111111111111111111111111111111112',
            '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN'], true);
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getMultiplePrices(['So11111111111111111111111111111111111111112',
            '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN'], true);
components:
  schemas:
    PriceResponse:
      type: object
      properties:
        price:
          type: number
        liquidity:
          type: number
        marketCap:
          type: number
        lastUpdated:
          type: integer
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````